Error with AwesomeTTS (Google Cloud Text-to-Speech & Microsoft Azure TTS) [unofficial]

Hi,

When I use the AwesomeTTS extension (Google Cloud Text-to-Speech & Microsoft Azure TTS) [unofficial], I get the error as below.

Can U help us ?

=============== Error Message =================

Informações de Depuração:
Anki 2.1.54 (b6a7760c) Python 3.9.7 Qt 6.3.1 PyQt 6.3.1
Platform: Windows 10
Flags: frz=True ao=True sv=2
Add-ons, last update check: 2022-12-24 12:14:27

Caught exception:
Traceback (most recent call last):
File “aqt.webview”, line 42, in cmd
File “aqt.webview”, line 149, in _onCmd
File “aqt.webview”, line 624, in _onBridgeCmd
File “aqt.editor”, line 467, in onBridgeCmd
File “C:\Users\adria\AppData\Roaming\Anki2\addons21\814349176\awesometts\gui\common.py”, line 121, in _show
self._instance = self._target.constructor(
File “C:\Users\adria\AppData\Roaming\Anki2\addons21\814349176\awesometts\gui\generator.py”, line 670, in init
super(EditorGenerator, self).init(
File “C:\Users\adria\AppData\Roaming\Anki2\addons21\814349176\awesometts\gui\base.py”, line 243, in init
super(ServiceDialog, self).init(*args, **kwargs)
File “C:\Users\adria\AppData\Roaming\Anki2\addons21\814349176\awesometts\gui\base.py”, line 80, in init
self.setLayout(self._ui())
File “C:\Users\adria\AppData\Roaming\Anki2\addons21\814349176\awesometts\gui\base.py”, line 255, in _ui
hor.addLayout(self._ui_services())
File “C:\Users\adria\AppData\Roaming\Anki2\addons21\814349176\awesometts\gui\base.py”, line 313, in _ui_services
layout.addLayout(self._ui_services_presets())
File “C:\Users\adria\AppData\Roaming\Anki2\addons21\814349176\awesometts\gui\base.py”, line 340, in _ui_services_presets
save.setFixedWidth(save.fontMetrics().width(save.text()) + 20)
AttributeError: ‘QFontMetrics’ object has no attribute ‘width’

The add-on might not work on Anki 2.1.50+.
The latest compatible version is Anki 2.1.49 .

-AwesomeTTS (Google Cloud Text-to-Speech & Microsoft Azure TTS) [unofficial] - AnkiWeb

Nothing we can do, the add-on last update was on 2021-06-17

Either downgrade to 2.1.49 or use another add-on
-HyperTTS - Add speech to your flashcards - AnkiWeb
AwesomeTTS - Add speech to your flashcards - AnkiWeb

I have not used either of those, those are just the one I found with the keyword TTS

1 Like

Both the official AwesomeTTS and HyperTTS will work with Anki 2.1.50+

1 Like

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.